/*
 * StartTLSFeaturePacketNode.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso.tls;


import java.util.Map;

import org.jabberstudio.jso.NSI;
import org.jabberstudio.jso.PacketError;
import org.jabberstudio.jso.StreamDataFactory;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.StreamObject;
import org.jabberstudio.jso.io.StreamBuilder;
import org.jabberstudio.jso.tls.StartTLSFeature;
import org.jabberstudio.jso.tls.StartTLSPacket;
import org.jabberstudio.jso.util.ByteCodec;
import org.jabberstudio.jso.util.Utilities;

import net.outer_planes.jso.AbstractPacket;
import net.outer_planes.jso.AbstractPacketBuilder;

/**
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12
 */
public class StartTLSFeaturePacketNode extends AbstractPacket implements StartTLSPacket, StartTLSFeature {
    //"Constants"
    public static final String  NAMESPACE       = StartTLSPacket.NAMESPACE;
    public static final NSI     ELEM_REQUIRED   = new NSI("required", NAMESPACE);
    
    //Constructors
    public StartTLSFeaturePacketNode(StreamDataFactory sdf, NSI name) {
        super(sdf, name);
    }
    protected StartTLSFeaturePacketNode(StreamElement parent, StartTLSFeaturePacketNode base) {
        super(parent, base);
    }

    //Methods
    public StreamBuilder createBuilder() {
        return new AbstractPacketBuilder(this);
    }
    
    public boolean isRequired() {
        return (getFirstElement(ELEM_REQUIRED) != null);
    }
    public void setRequired(boolean req) {
        clearElements(ELEM_REQUIRED);
        
        if (req)
            addElement(ELEM_REQUIRED);
    }
    
    public PacketError getError() {
        return null;
    }
    public void setError(PacketError err) throws IllegalArgumentException {
    }

    public StreamObject copy(StreamElement parent) {
        return new StartTLSFeaturePacketNode(parent, this);
    }
}