/*
 * XDataFactory.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso.x.xdata;

import org.jabberstudio.jso.NSI;

import net.outer_planes.jso.AbstractElementFactory;

/**
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12
 */
public class XDataFactory extends AbstractElementFactory {
    //Constructors
    public XDataFactory() {
        super(NSI.STRICT_COMPARATOR);
    }

    //Methods
    protected void registerSupportedElements() throws IllegalArgumentException {
        putSupportedElement(new FormNode(null));
        putSupportedElement(new FieldNode(null));
        putSupportedElement(new OptionNode(null));
        putSupportedElement(new ReportedNode(null));
        putSupportedElement(new ItemNode(null));
    }
}