/*
 * SerializedNodes.java
 *
 * Created on November 18, 2005, 5:27 PM
 *
 *
 *
 */

package org.jabberstudio.jso;

/**
 * 
 * <p>This Node is used to hold the content of serialized XML data.
 * Once created the contents cannot be modified. This is mainly used for 
 * optimization, where a static set of nodes can be serialized to string and be 
 * held in this node, avoiding multiple copies of static data.
 *
 * @author Vijayakumar.Palaniappan@sun.com
 */
public interface SerializedNodes extends StreamNode {
    //Methods
    /**
     * <p>
     * Retreives the String value for this <code>SerializedNodes</code>.</p>
     *
     * <p>
     * The value returned by this method is never <code>null</code>.</p>
     *
     * @return the String for this <code>SerializedNodes</code>.
     * @since   JSO-0.2
     */
    public String getValue();
}
