/*
 * StreamNamespace.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package org.jabberstudio.jso;


/**
 * <p>
 * Represents a namespace.</p>
 * 
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.4
 */
public interface StreamNamespace extends StreamObject {
    //Methods
    /**
     * <p>
     * Retrieves the prefix for this <code>StreamNamespace</code>.  The prefix
     * is prepended to element and attribute "local names" to fully qualify
     * them within the XML.</p>
     *
     * <p>
     * The value returned by this method is never <Code>null</code>, although
     * it may be "".</p>
     *
     * @return The namespace prefix.
     * @since   JSO-0.4
     */
    public String getPrefix();
    /**
     * <p>
     * Retrieves the URI for this <code>StreamNamepsace</code>.</p>
     *
     * <p>
     * The value returned by this method may be <code>null</code> or "".</p>
     * @since   JSO-0.4
     */
    public String getURI();
}