/*
 * PacketListener.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package org.jabberstudio.jso.event;

/**
 * <p>
 * Interface defined to respond to receiving or sending <tt>Packet</tt>
 * objects.</p>
 *
 * @author linuxwolf
 * @version $VERSION$
 * @since   JSO-0.2
 */
public interface PacketListener extends java.util.EventListener {
    //Methods
    /**
     * <p>
     * Method called when a <tt>Packet</tt> is received or sent.</p>
     *
     * @param evt The <tt>PacketEvent</tt> object.
     * @since   JSO-0.2
     */    
    public void packetTransferred(PacketEvent evt);
}