/*
 * StringprepException.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */


package org.jabberstudio.jso.util.stringprep;

/**
 * <p>
 * Base exception for all stringprep-related exceptions.</p>
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12.3
 */
public class StringprepException extends IllegalArgumentException {
    //Constructors
    /**
     * <p>
     * Creates a new <tt>StringprepException</tt> with no message and no
     * cause.</p>
     *
     * @since   JSO-0.12.3
     */
    public StringprepException() {
        super();
    }
    /**
     * <p>
     * Creates a new <tt>StringprepException</tt> with the given message and no
     * cause.</p>
     *
     * @param   msg The message for this <tt>StringprepException</tt>.
     * @since   JSO-0.12.3
     */
    public StringprepException(String msg) {
        super(msg);
    }

    /**
     * <p>
     * Creates a new <tt>StringprepException</tt> with no message and the given
     * cause.</p>
     *
     * @param   cause The cause for this <tt>StringprepException</tt>.
     * @since   JSO-0.12.3
     */
    public StringprepException(Throwable cause) {
        super();
        
        initCause(cause);
    }
    /**
     * <p>
     * Creates a new <tt>StringprepException</tt> with the given message and
     * cause.</p>
     *
     * @param   msg The message for this <tt>StringprepException</tt>.
     * @param   cause The cause for this <tt>StringprepException</tt>.
     * @since   JSO-0.12.3
     */
    public StringprepException(String msg, Throwable cause) {
        super(msg);
        
        initCause(cause);
    }
}